Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(28)

Issue 1534933002: Don't process messages sent to dead routing ids. (Closed)

Created:
3 years, 12 months ago by ncarter (slow)
Modified:
3 years, 10 months ago
Reviewers:
Lei Zhang, nasko
CC:
chromium-reviews, darin-cc_chromium.org, nasko+codewatch_chromium.org, jam, creis+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Don't process messages sent to dead routing ids. BUG=556351, 445054 CQ_INCLUDE_TRYBOTS=tryserver.chromium.linux:linux_site_isolation Committed: https://crrev.com/b78ba88705cb799426204d2ffd6b8cc558d0d3b7 Cr-Commit-Position: refs/heads/master@{#375685}

Patch Set 1 #

Patch Set 2 : For self review & trybots #

Patch Set 3 : Try again. #

Patch Set 4 : rebase #

Total comments: 2

Patch Set 5 : Weaken IsRenderFrameLive assertion #

Patch Set 6 : Fix unittests. #

Patch Set 7 : Things. #

Patch Set 8 : Remove Init call. #

Total comments: 2

Patch Set 9 : speculative fix for mac unittest failures. #

Patch Set 10 : Change Init() to set_renderer_initialized(true) #

Patch Set 11 : Rebase and add mac unittest fixes #

Patch Set 12 : More unittest fixes. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+28 lines, -7 lines) Patch
M chrome/browser/extensions/api/declarative_content/declarative_content_condition_tracker_test.cc View 1 2 3 4 5 6 7 1 chunk +6 lines, -3 lines 0 comments Download
M chrome/browser/web_applications/web_app_unittest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M content/browser/frame_host/render_frame_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +4 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +4 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_view_mac_unittest.mm View 1 2 3 4 5 6 7 8 9 10 11 7 chunks +9 lines, -1 line 0 comments Download
M content/browser/web_contents/web_contents_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M content/test/test_render_frame_host.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M content/test/web_contents_observer_sanity_checker.cc View 1 2 3 4 5 1 chunk +1 line, -3 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 29 (13 generated)
ncarter (slow)
Hi Nasko, Please have a look. I think this is the simplest way to do ...
3 years, 12 months ago (2015-12-18 06:35:25 UTC) #3
nasko
Thanks for putting this one together! The checks look good, but the sanity checker is ...
3 years, 12 months ago (2015-12-18 15:10:52 UTC) #4
ncarter (slow)
nasko, I think this is ready for another round.
3 years, 10 months ago (2016-01-21 03:54:19 UTC) #5
nasko
I have one question, but I'm ok if the code stays as it is. LGTM ...
3 years, 10 months ago (2016-01-21 17:50:19 UTC) #6
ncarter (slow)
https://codereview.chromium.org/1534933002/diff/140001/content/test/test_render_frame_host.cc File content/test/test_render_frame_host.cc (right): https://codereview.chromium.org/1534933002/diff/140001/content/test/test_render_frame_host.cc#newcode78 content/test/test_render_frame_host.cc:78: render_view_host()->GetProcess()->Init(); On 2016/01/21 17:50:19, nasko wrote: > Why do ...
3 years, 10 months ago (2016-01-26 23:08:22 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1534933002/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1534933002/140001
3 years, 10 months ago (2016-01-26 23:12:07 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/139287)
3 years, 10 months ago (2016-01-26 23:27:12 UTC) #11
ncarter (slow)
+thestig for chrome/ approval
3 years, 10 months ago (2016-01-27 00:45:10 UTC) #13
Lei Zhang
On 2016/01/27 00:45:10, ncarter wrote: > +thestig for chrome/ approval If that's what git cl ...
3 years, 10 months ago (2016-01-27 01:01:45 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1534933002/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1534933002/140001
3 years, 10 months ago (2016-01-27 17:49:44 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/171164)
3 years, 10 months ago (2016-01-27 18:44:29 UTC) #18
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1534933002/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1534933002/200001
3 years, 10 months ago (2016-02-11 23:08:58 UTC) #21
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: mac_chromium_compile_dbg_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/158375) mac_chromium_gn_rel on ...
3 years, 10 months ago (2016-02-11 23:38:46 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1534933002/220001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1534933002/220001
3 years, 10 months ago (2016-02-16 20:51:38 UTC) #26
commit-bot: I haz the power
Committed patchset #12 (id:220001)
3 years, 10 months ago (2016-02-16 22:38:55 UTC) #27
commit-bot: I haz the power
3 years, 10 months ago (2016-02-16 22:55:36 UTC) #29
Message was sent while issue was closed.
Patchset 12 (id:??) landed as
https://crrev.com/b78ba88705cb799426204d2ffd6b8cc558d0d3b7
Cr-Commit-Position: refs/heads/master@{#375685}

Powered by Google App Engine
This is Rietveld 408576698